Wie kann man den Quellcode von PHP und HTML so Formatieren das er besser geordnet ist (Beautify)?

3 Antworten

Verwende eine richtige PHP-IDE (IDE = Integrated Development Environment = Entwicklungsumgebung)

wie Eclipse, NetBeans oder (kostenpflichtig) PhpStorm. Eines der zahlreichen nützlichen Features einer IDE ist automatische Code-Formatierung.

Dazu kommt, dass eine IDE deinen Code analysiert, potenzielle Fehler anzeigt, Tipps gibt und verschiedene Optionen bietet, um besonders effizient Code zu schreiben und direkt zu testen.

Danke, wie funktioniert das den mit NetBeans?

0
@Motfrager

Du lädst dir eine NetBeans Version runter, die PHP unterstützt: https://netbeans.org/downloads/index.html

Zur Ausführung von NetBeans brauchst das Java Runtime Environment (JRE), da NetBeans in Java programmiert ist.

Wenn du NetBeans gestartet hast, geh unter Tools (Werkzeuge) -> Optionen -> PHP. Dort musst du den Ort des PHP 5 Interpreters angeben (das ist eine Datei namens php.exe). Wahrscheinlich musst du PHP zuerst runterladen.

Danach sollte alles funktionieren.

0

Trägt nichts´s zur eigentlichen Frage bei, aber:

Ich würde dir eher raten von Anfang an zu lernen übersichtlichen Code zu schreiben. Stichwort "technische Schuld" . 

Kurzgesagt: Schlecht geschriebener Code prallt irgendwann auf dich zurück.

MfG

Moin

Habe gerade mal mit Atom was geschrieben und bei mir funzt Atom-Beautify 
1A - wie immer eigentlich ... installiere doch mal Atom und das Package drüber ?! 

Viel Erfolg

so long(knife)

Linux (Ubuntu 16.04) Error?

root@lalala:/opt/metronome# apt-get install pure-ftpd-common pure-ftpd-mysql quota quotatool

Dann kommt:

Reading package lists... Done
Building dependency tree
Reading state information... Done
quota is already the newest version (4.03-2).
pure-ftpd-common is already the newest version (1.0.36-3.2build1).
pure-ftpd-mysql is already the newest version (1.0.36-3.2build1).
quotatool is already the newest version (1:1.4.12-2).
The following packages were automatically installed and are no longer required:
 libapparmor-perl libevent-core-2.0-5 libmemcachedutil2 libnuma1
Use 'apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up pure-ftpd-mysql (1.0.36-3.2build1) ...
/var/lib/dpkg/info/pure-ftpd-mysql.postinst: line 34: update-inetd: command not found
dpkg: error processing package pure-ftpd-mysql (--configure):
 subprocess installed post-installation script returned error exit status 127
Errors were encountered while processing:
 pure-ftpd-mysql
E: Sub-process /usr/bin/dpkg returned an error code (1)
...zur Frage

Open Office, Probeme mit Inhaltsverzeichnis?

Guten Tag, ich muss ein Inhaltsverzeichnis erstellen auf Open office aber die Sache ist bei mir geht es nicht jedes mal kommt auf englisch ''the file path could not be found'' hat da jemand eine idee

...zur Frage

CS GO VAC problem! An issue with your computer is blocking the VAC system.

Heute (ca vor ein paar Minuten) wollte ich eine runde counterstrike global offensive spielen. Ich war auf einem sever (bzw. in einem gelegenheitsspiel: bombeentschärfen), mitten im spiel bin ich aus dem spiel geflogen, landete auf dem startbildschirm von cs: go und es kam die meldung: An issue with your computer is blocking the VAC system. you cannot play on secure servers. meine frage lautet: was ist das VAC system ? was genau ist passiert oder soll passiert sein? kann man das ganze auf irgendeine weise "repaireren" ? ich freu mich über jede hilfe bzw antwort !!! PS ich habe eben diesen artikel gelesen: http://cs.ingame.de/news/csgo/vac-bannwelle-maerz-2014/ dort steht das VAC ein programme etc. ist mit dem cheater etc. gebannt werden. mein problem ist nur das ich selbst nie gecheatet habe weder in cs go noch in anderen steam spielen auf einem account vorallem bin ich nichteinmal wirklich gut in diesem spiel. (wer rechtschreibfehler entdeckt darf sie behalten ;D und ja ich schreibe mit absicht alles klein bzw so gut wie alles :D)

...zur Frage

Fehlermeldung, wenn ich spielen möchte?

Hey

Ich habe mir das Spiel best Friends - Mein Pferd Special Edition gekauft. Habs jetzt installiert und wollte spielen, aber dann kommt folgende Fehlermeldung:

The Protection Driver is installed, but the system has not rebooted yet

Please reboot the system and try again! (#10010)

Habe mich schon im Internet umgesehen, weiß aber immer noch nicht genau, was ich jetzt machen soll.

Ich habe Windows 10 und eigentlich sind alle Treiber und natürlich das System auf dem neuesten Stand.

Danke im Voraus.

...zur Frage

GTA 5 LSPDFR sagt falsche version?

Unsopported game Patch!

The current game version is not supported.

Installed game version: 678 Latest game version: 757 Supported game versions: 757

The installed game version (678) is not supported. This build of RAGE Plugin Hook is made for version 757.

Ich bekomme immer diese meldung, was soll ich tun.???

...zur Frage

GTA SA Semi Steam

Ich habe GTA San Andreas bei Steam gekauft und möchte nun ein paar Mods installieren. Ich benutze dazu Sami (San Andreas Mod Installer). Ich habe den Mod ausgewählt, doch wenn ich auf Continue klick kommt die Meldung: "San Andreas could not be detected. Pleas specify the directory where the game is installed.". Inzwischen habe ich herausgefunden, dass ich den Ordner "C:\Programme (x86)\Steam\SteamApps\common\Grand Theft Auto San Andreas" nehmen muss und nicht "C:\Program Files\Rockstar Games\GTA San Andreas\". Doch nun kommt wieder die Meldung: "San Andreas could not be detected. Pleas specify the directory where the game is installed.". Ich wollte also fragen was ich andrest machen muss oder ob ich überhaupt via Steam GTA SA mit Mods spielen kann.

...zur Frage

Was möchtest Du wissen?